%global __brp_check_rpaths %{nil}
%global packname  dendsort
%global packver   0.3.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.3.4
Release:          1%{?dist}%{?buildtag}
Summary:          Modular Leaf Ordering Methods for Dendrogram Nodes

License:          GPL-2 | GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
An implementation of functions to optimize ordering of nodes in a
dendrogram, without affecting the meaning of the dendrogram. A dendrogram
can be sorted based on the average distance of subtrees, or based on the
smallest distance value. These sorting methods improve readability and
interpretability of tree structure, especially for tasks such as
comparison of different distance measures or linkage types and
identification of tight clusters and outliers. As a result, it also
introduces more meaningful reordering for a coupled heatmap visualization.
This method is described in "dendsort: modular leaf ordering methods for
dendrogram representations in R", F1000Research 2014, 3: 177
<doi:10.12688/f1000research.4784.1>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
